# Sanqi.rb

[![Version](https://img.shields.io/github/v/tag/sashite/sanqi.rb?label=Version&logo=github)](https://github.com/sashite/sanqi.rb/releases)
[![Yard documentation](https://img.shields.io/badge/Yard-documentation-blue.svg?logo=github)](https://rubydoc.info/github/sashite/sanqi.rb/main)
[![CI](https://github.com/sashite/sanqi.rb/workflows/CI/badge.svg?branch=main)](https://github.com/sashite/sanqi.rb/actions?query=workflow%3Aci+branch%3Amain)
[![RuboCop](https://github.com/sashite/sanqi.rb/workflows/RuboCop/badge.svg?branch=main)](https://github.com/sashite/sanqi.rb/actions?query=workflow%3Arubocop+branch%3Amain)
[![License](https://img.shields.io/github/license/sashite/sanqi.rb?label=License&logo=github)](https://github.com/sashite/sanqi.rb/raw/main/LICENSE.md)

> Sanqi legal move validator.

## Installation

Add this line to your application's Gemfile:

```ruby
gem "sanqi"
```

And then execute:

```sh
bundle install
```

Or install it yourself as:

```sh
gem install sanqi
```

## Example

```ruby
require "sanqi"

game = Sanqi::Game.new(Time.now.to_i, max_seconds_per_move: 10, north_variant: :CHESS, south_variant: :PUCHI_SHOGI)

game.move!(52, 36, Time.now.to_i)
game.move!(12, 28, Time.now.to_i)
```

## License

The code is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## About Sashite

This [gem](https://rubygems.org/gems/sanqi) is maintained by [Sashite](https://sashite.com/).

With some [lines of code](https://github.com/sashite/), let's share the beauty of Chinese, Japanese and Western cultures through the game of chess!
